VideoFormatControl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Interface VideoFormatControl

All Superinterfaces:
  Control, VideoFormatControl

    public interface VideoFormatControl

extends VideoFormatControl

This interface extends `VideoFormatControl` with constant definitions representing additional decoder format conversion (DFC) options. These constants SHALL be accepted by any method that accepts `VideoFormatControl.DFC_*` constants and MAY be returned by methods that return such constants.

This control extends the capability of `org.dvb.media.VideoFormatControl` and instances of this control SHALL be available for both MPEG-2 and non-MPEG-2 streams.

In OCAP Host devices, all instances of `org.dvb.media.VideoFormatControl` SHALL also be instances of `org.ocap.media.VideoFormatControl`.

Author:
  Aaron Kamienski
See Also:
  `VideoFormatControl.getDecoderFormatConversion()`, `VideoFormatControl.getVideoTransformation(int)`

Field Summary
`static int` | `DFC_PROCESSING_PILLARBOX_4_3` Constant representing the pillarbox conversion of the 4:3 input video to 16:9 output video.
`static int` | `DFC_PROCESSING_WIDE_4_3` Constant representing the wide conversion of the 4:3 input video to 16:9 output video.

Fields inherited from interface org.dvb.media.VideoFormatControl
`AFD_14_9, AFD_14_9_TOP, AFD_16_9, AFD_16_9_SP_14_9, AFD_16_9_SP_4_3, AFD_16_9_TOP, AFD_4_3, AFD_4_3_SP_14_9, AFD_GT_16_9, AFD_NOT_PRESENT, AFD_SAME, ASPECT_RATIO_16_9, ASPECT_RATIO_2_21_1, ASPECT_RATIO_4_3, ASPECT_RATIO_UNKNOWN, DAR_16_9, DAR_4_3, DFC_PLATFORM, DFC_PROCESSING_16_9_ZOOM, DFC_PROCESSING_CCO, DFC_PROCESSING_FULL, DFC_PROCESSING_LB_14_9, DFC_PROCESSING_LB_16_9, DFC_PROCESSING_LB_2_21_1_ON_16_9, DFC_PROCESSING_LB_2_21_1_ON_4_3, DFC_PROCESSING_NONE, DFC_PROCESSING_PAN_SCAN, DFC_PROCESSING_UNKNOWN`

Method Summary

Methods inherited from interface org.dvb.media.VideoFormatControl
`addVideoFormatListener, getActiveFormatDefinition, getAspectRatio, getDecoderFormatConversion, getDisplayAspectRatio, getVideoTransformation, isPlatform, removeVideoFormatListener`

Methods inherited from interface javax.media.Control
`getControlComponent`

Field Detail

### DFC_PROCESSING_PILLARBOX_4_3

    static final int DFC_PROCESSING_PILLARBOX_4_3

  Constant representing the pillarbox conversion of the 4:3 input video to 16:9 output video. The 4:3 input video SHALL be framed within the center of the 16:9 output video, such that the original pixel aspect ratio is maintained.

  See Also:
    Constant Field Values

### DFC_PROCESSING_WIDE_4_3

    static final int DFC_PROCESSING_WIDE_4_3

  Constant representing the wide conversion of the 4:3 input video to 16:9 output video. In this mode the 4:3 input video SHALL be expanded horizontally to fill the 16:9 output frame, with pixels toward the outside edges stretched more than those toward the center.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD